package http_model

type CodeLoginRequest struct {
	Phone string `json:"phone"`
	Code  string `json:"code"`
}

type CodeLoginData struct {
	Token                string `json:"token"`                 // Token
	UserId               int64  `json:"user_id"`               // YG用户ID
	Role                 string `json:"role"`                  // 角色 1，超级管理员； 2，管理员；3，企业用户; 4. 企业子账号；5. 管理后台子账号
	JobName              string `json:"job_name"`              // 岗位名称
	EnterpriseId         string `json:"enterprise_id"`         // 商家ID
	SupplierId           int    `json:"supplier_id"`           // 服务商Id
	SubAccountId         int    `json:"sub_account_id"`        // 子账号ID
	CommercialCenter     string `json:"commercial_center"`     // 商单广场权限
	CommercialManagement string `json:"commercial_management"` // 商单管理权限
	CooperatePermission  string `json:"cooperate_permission"`  // 推广合作权限
	FinancialPermission  string `json:"financial_Permission"`  // 财务结算权限
}

func NewCodeLoginRequest() *CodeLoginRequest {
	return new(CodeLoginRequest)
}
func NewCodeLoginResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CodeLoginData)
	return resp
}
